import { Role } from "../../meta/core/resources/roles/role.resource";
export declare function getRoleByName(name: string): Promise<Role>;
export declare function isRoleExists(name: string): Promise<boolean>;
export declare function anyRoleExists(): Promise<boolean>;
/**
 * Upsert a role: updates if it exists, creates if not.
 *
 * @param roleModel - The role model {@link Role} to upsert.
 */
export declare function upsertRole(roleModel: Role): Promise<void>;
